#ifndef _DISTANCE_BRUSH_LOADER_H
#define _DISTANCE_BRUSH_LOADER_H
#include <cache/Cache.h>

namespace cache
{
class Brush;
class BrushEntries;

class DistanceBrushLoader
{
public:
	DistanceBrushLoader(IIndex* index);

	BrushEntries* load(Brush* brush);	

private:
	IIndex* index;
};
}
#endif //_DISTANCE_BRUSH_LOADER_H
