#ifndef _IFRAGTHRESHOLD_VISITOR_H
#define _IFRAGTHRESHOLD_VISITOR_H

/*
*	This interface is used to notify the visitor that the number of 
*  fragments in the query has exceed the threshold. The visitor can then decide
*  if the cachemanager should continue loading the query.
*  mainly implemented so that the prefetcher si notified and that it can stop
*  the cache from clearing its contents.
*/
namespace cache
{

	class IFragThresholdVisitor
	{
	public:
		/*
		*	Notifys the Vi
		*/
		virtual bool exceededFragThreshold()=0;

	};
}

#endif //_IFRAGTHRESHOLD_VISITOR_H