#ifndef _I_LOADLISTENER_H
#define _I_LOADLISTENER_H
namespace cache
{

	class ILoadListener
	{
	public:	
		/**
		* Called when the CacheController stops loading the new
		* query
		*/
		virtual void stopLoad()=0;

		/************************************************************************/
		/* Called when the cache controller starts loading a user query                                                                     */
		/************************************************************************/
		virtual void startLoad()=0;
	};

}
#endif //_I_LOADLISTENER_H