#ifndef _ITERATOR_H
#define _ITERATOR_H

template <class Item>
class Iterator
{
public :

	/**
	* Returns the next item in the list
	* \return 
	*/
	virtual Item get_next() = 0;

	/**
	*
	* \returns a boolean true if all the elements have been 
	* read
	*/
	virtual bool isDone() = 0;
	
	/**
	* Virtual Destructor used to delete the iterator
	* \return 
	*/
	virtual ~Iterator() = 0;

protected:
	Iterator(){}
};


template <class Item>
Iterator<Item>::~Iterator(){}


#endif
