#ifndef _SERVED_ITEM_VISITOR_H
#define _SERVED_ITEM_VISITOR_H

#include <Brush.h>
//Forward References

#include <ICacheEntry.h>

namespace cache
{

	/*
	*	This class represents all the listeners
	* that listen for the serveItem event.
	*/
	class ServedItemListener
	{
	public:
		//Called whenever the brush is modified	
		virtual void servedItem(ICacheEntry& cacheEntry) = 0;	
	};



	class ServedItemVisitor
	{
	public:
		//Called whenever the brush is modified	
		virtual void servedItem(ICacheEntry& cacheEntry) = 0;	
	};
}
#endif //_BRUSH_VISITOR_H