#include <ICacheEntry.h>
#include <Cache.h>
#include <CacheIterator.h>
#include <Mapper.h>

using namespace cache;

const unsigned long ICacheEntry ::getID()
{
	return(this->id);
}

void ICacheEntry::setID(const unsigned long id)
{		
	//The id stays the same once it is assigned
	this->id = id;
	this->iShape = NULL;
}

Tools::Geometry::IShape* ICacheEntry:: getIShape()
{
	return(this->iShape);
}

bool ICacheEntry:: ifNew()
{
	return(this->isNew);
}

void ICacheEntry:: setNew(bool b)
{
	this->isNew = b;
}

ICacheEntry::ICacheEntry()
{	
	this->data = new Data();
	this->iShape = NULL;
}


ICacheEntry:: ~ICacheEntry()
{}				

