#ifndef _SERVED_ITEM_VISITOR_IMPL_H
#define _SERVED_ITEM_VISITOR_IMPL_H

#include <ServedItemVisitor.h>
#include <vector>
#include <ICacheEntry.h>
namespace cache
{


	/*
	* This class is basically used to send servedItem event
	* to all the registered classes
	* Am not convinced if we need this class
	*/

	class ServedItemVisitorImpl : public ServedItemVisitor
	{
	public:
		ServedItemVisitorImpl(){}

		void addServedItemListener(ServedItemListener* servedItemListener)
		{
			this->vecServedItemListener.push_back(servedItemListener);
		}

		/**
		* Calls the served Item method of all the registered listeners
		* \param cacheEntry 
		*/
		void servedItem(ICacheEntry& cacheEntry)
		{
			for(unsigned int i=0;i<vecServedItemListener.size();i++)
			{
				vecServedItemListener[i]->servedItem(cacheEntry);
			}
		}
	private:
		std::vector<ServedItemListener*> vecServedItemListener;
	};
}
#endif